Summary:	Simple GTK graphing calculator
Name:		gtkgraph
Version:	0.6.2
Release:	3mdk
License:	GPL
Group:		Sciences/Mathematics
BuildRequires:	XFree86-devel imlib-devel

Source0:	%{name}-%{version}.tar.bz2
Source1:	gtkgraph.menu.bz2
## the following patch remove the overriding of CFLAGS in configure 0.6.1-7mdk (2000-12-04)
Patch:		gtkgraph-0.6.1-configure.in-fix.optflags.patch.bz2

URL:		http://gtkgraph.linuxave.net/
Buildroot:	%_tmppath/%name-%version-%release-root

%description
GtkGraph is an application designed to replace a conventional graphing
calculator. It allows you to plot up to 10 functions on the same graph.
Graphs may be exported to PostScript, printed, or exported to any bitmap file
format that Imlib supports. The user can zoom and scroll, or set
the range manually with X/Y minimums and X/Y maximums. In addition, a small
arithmatic calculator window is included, which has a convenient history
mechanism.

%prep

%setup -q
%patch -p1

%build
%configure
%make

%install
rm -fr %buildroot

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

%makeinstall

%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/gtkgraph
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog INSTALL ABOUT-NLS BUGS AUTHORS HACKING README TODO
%{_bindir}/gtkgraph
%{_menudir}/gtkgraph

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.2-3mdk
- Use new icons and use icons in all sizes

* Mon Aug 13 2001 DindinX <odin@mandrakesoft.com> 0.6.2-2mdk
- rebuilt

* Mon Jan 22 2001 DindinX <odin@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Dec  4 2000 DindinX <odin@mandrakesoft.com> 0.6.1-7mdk
- remove the overriding of CFLAGS in configure.in
- s/Copyright/License/
- fix URL

* Tue Aug 29 2000 DindinX <odin@mandrakesoft.com> 0.6.1-6mdk
- use %%lang
- minor specs fixes

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.1-5mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.1-4mdk
- macrosifications (makeinstall etc)
- rebuild for hte BM

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Fixed path in icon entry

* Wed Apr 12 2000 DindinX <odin@mandrakesoft.com> 0.6.1-2mdk
- Added a nice icon for menu.

* Sun Apr  2 2000 DindinX <odin@mandrakesoft.com> 0.6.1-1mdk
- New version

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.5.2-4mdk
- Fix menu group
- Delete the Packager entry (thanks to Guillaume)

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.5.2-3mdk
- Use a better group (thx to Pixel)
- Add menu entry

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 0.5.2-2mdk
- Change Group

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- specfile adaptations
